%global commit 218934eafd04725ecfdbf1026bc44ae4ecd0eedc
%global commit_short %(c=%{commit}; echo ${c:0:7})

Name:           python-mdit-plain
Version:        1.0.1
Release:        1%{?dist}
Summary:        Renderer for markdown-it-py: converts markdown to plain text


License:        MIT
URL:            https://github.com/elespike/mdit_plain
Source:         %{url}/archive/%{commit}/mdit-plain-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python3-devel

%global _description %{expand:
A renderer for markdown-it-py that converts markdown documents into plain text
by removing all markup.}

%description %{_description}

%package -n     python3-mdit-plain
Summary:        %{summary}

%description -n python3-mdit-plain %{_description}

%prep
%autosetup -p1 -n mdit_plain-%{commit}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files -l mdit_plain


%files -n python3-mdit-plain -f %{pyproject_files}
%doc README.md


%changelog
* Sun Aug 11 2024 Paul Pfeister <code@pfeister.dev> - 3.8.2-1
- Initial package.
